import axios from "../../utils/axios";

export function getCountOrderList(params) {
    return axios({
        url: "/invCount/order/filter",
        method: "get",
        params: params
    });
}

export function deleteCountOrder(data) {
    return axios({
        url: "/invCount/order/delete",
        method: "post",
        data: data
    });
}

export function getCountOrderDetailList(params) {
    return axios({
        url: "/invCount/order/detail/filter",
        method: "get",
        params: params
    });
}

export function saveCountOrder(data) {
    return axios({
        url: "/invCount/order/saveCountOrder",
        method: "post",
        data: data
    });
}

export function submitAudit(params) {
    return axios({
        url: "/invCount/order/submitAudit",
        method: "get",
        params: params
    });
}

export function deleteCountOrderDetail(data) {
    return axios({
        url: "/invCount/order/detail/deleteOrderDetail",
        method: "post",
        data: data
    });
}

export function addCountOrderDetail(data) {
    return axios({
        url: "/invCount/order/detail/addCountOrderDetail",
        method: "post",
        data: data
    });
}

export function updateCountOrderStatus(data) {
    return axios({
        url: "/invCount/order/updateCountOrderStatus",
        method: "post",
        data: data
    });
}

export function verifyTemplateFile(data) {
    return axios({
        url: "/invCount/order/verifyTemplateFile",
        method: "post",
        data: data
    });
}

export function printOrder(data) {
    return axios({
        url: "/invCount/order/printOrder",
        method: "post",
        data: data
    });
}
